Skip to main content
PUT
/
v1
/
persons
/
{personId}
/
basicInfo
Update basic information
curl --request PUT \
  --url https://api.cadanapay.com/v1/persons/{personId}/basicInfo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "John",
  "lastName": "Doe",
  "email": "<string>",
  "phoneNumber": {
    "countryCode": "1",
    "number": "2345678901"
  },
  "metadata": {
    "customField1": "value1",
    "customField2": "value2"
  }
}
'
import requests

url = "https://api.cadanapay.com/v1/persons/{personId}/basicInfo"

payload = {
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
email: '<string>',
phoneNumber: {countryCode: '1', number: '2345678901'},
metadata: {customField1: 'value1', customField2: 'value2'}
})
};

fetch('https://api.cadanapay.com/v1/persons/{personId}/basicInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}
{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

personId
string<uuid>
required

The unique identifier for the person

Body

application/json

Update person basic info request payload

firstName
string
required

Person's first name

Example:

"John"

lastName
string
required

Person's last name

Example:

"Doe"

email
string
required

Person's email

phoneNumber
object

Person's phone number

metadata
object

Optional metadata you can store as key-value pairs

Example:
{
"customField1": "value1",
"customField2": "value2"
}

Response

Successful operation